Index: branches/src/ProcessManagement/ProcessManagement/Common/CommonVersion.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Common/CommonVersion.cs	(revision 312)
+++ branches/src/ProcessManagement/ProcessManagement/Common/CommonVersion.cs	(revision 313)
@@ -14,7 +14,7 @@
         /// <summary>
         /// 本体バージョン
         /// </summary>
-        public static int s_SystemVersion = 130;
+        public static int s_SystemVersion = 132;
 
         /// <summary>
         /// コピー・環境バージョン
Index: branches/src/ProcessManagement/ProcessManagement/Common/Process/ClsChangeLedgerData.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Common/Process/ClsChangeLedgerData.cs	(revision 312)
+++ branches/src/ProcessManagement/ProcessManagement/Common/Process/ClsChangeLedgerData.cs	(revision 313)
@@ -76,11 +76,15 @@
                 LedgerExcuteDB.connect(); LedgerExcuteDB.beginTran();
 
                 // 対象をまず削除する(対象月で削除する)
-                string strDelSQL = "DELETE FROM CONSTRUCTIONLEDGEREXCUTE";
-                strDelSQL += " WHERE CONSTRUCTIONCODE IN";
-                strDelSQL += " (SELECT A1.CONSTRUCTIONCODE FROM CONSTRUCTIONBASEINFO A1";
-                strDelSQL += string.Format(" WHERE (A1.SALESPERSONCODE = {0} OR A1.CONSTRUCTIONPERSONCODE = {0} OR A1.CONSTRSUBPERSONCODE = {0} OR A1.CONSTRUCTIONINSTRUCTOR = {0}))", PersonCode);
-                strDelSQL += string.Format(" AND GROUPCOUNT IN ({0}, {1}, {2}, {3}, {4}, {5})"
+                StringBuilder strDelSQL = new StringBuilder();
+                strDelSQL.Append("DELETE FROM CONSTRUCTIONLEDGEREXCUTE");
+                strDelSQL.Append(" WHERE CONSTRUCTIONCODE IN");
+                strDelSQL.Append(" (SELECT A1.CONSTRUCTIONCODE FROM CONSTRUCTIONBASEINFO A1");
+                strDelSQL.AppendFormat(" WHERE (A1.SALESPERSONCODE = {0}", PersonCode);
+                strDelSQL.AppendFormat(" OR A1.CONSTRUCTIONPERSONCODE = {0}", PersonCode);
+                strDelSQL.AppendFormat(" OR A1.CONSTRSUBPERSONCODE = {0}", PersonCode);
+                strDelSQL.AppendFormat(" OR A1.CONSTRUCTIONINSTRUCTOR = {0}))", PersonCode);
+                strDelSQL.AppendFormat(" AND GROUPCOUNT IN ({0}, {1}, {2}, {3}, {4}, {5})"
                                                                 , GetConstructionLedgerGroupNo((int)CostDataOfPerson.DataNoDef.Transport)
                                                                 , GetConstructionLedgerGroupNo((int)CostDataOfPerson.DataNoDef.Purchase)
                                                                 , GetConstructionLedgerGroupNo((int)CostDataOfPerson.DataNoDef.Lease)
@@ -87,8 +91,8 @@
                                                                 , GetConstructionLedgerGroupNo((int)CostDataOfPerson.DataNoDef.StoragePlace)
                                                                 , GetConstructionLedgerGroupNo((int)CostDataOfPerson.DataNoDef.Lodging)
                                                                 , GetConstructionLedgerGroupNo((int)CostDataOfPerson.DataNoDef.DisposalCost));
-                strDelSQL += string.Format(" AND DATE(TARGETMONTH) = STR_TO_DATE('{0}','%Y/%m/%d')", (TargetMonth + "/01"));
-                LedgerExcuteDB.ExecuteNonQuery(strDelSQL, false);
+                strDelSQL.AppendFormat(" AND DATE(TARGETMONTH) = '{0}'", (TargetMonth + "/01"));
+                LedgerExcuteDB.ExecuteNonQuery(strDelSQL.ToString(), false);
 
                 for (int i = (int)CostDataOfPerson.DataNoDef.Transport; i <= (int)CostDataOfPerson.DataNoDef.DisposalCost; i++)
                 {
@@ -96,8 +100,13 @@
                     strSQL.Append("SELECT CONSTRUCTIONCODE, DATATYPE, DATE_FORMAT(ACTIONDATE,'%Y/%m'), SUM(ENTRYPRICE) FROM COSTDATAOFPERSON");
                     strSQL.AppendFormat(" WHERE DATE_FORMAT(ACTIONDATE,'%Y/%m') = '{0}'", TargetMonth);
                     strSQL.AppendFormat(" AND DATATYPE = {0}", i);
+                    
                     strSQL.Append(" AND CONSTRUCTIONCODE IN (SELECT A1.CONSTRUCTIONCODE FROM CONSTRUCTIONBASEINFO A1");
-                    strSQL.AppendFormat(" WHERE (A1.SALESPERSONCODE = {0} OR A1.CONSTRUCTIONPERSONCODE = {0} OR A1.CONSTRSUBPERSONCODE = {0} OR A1.CONSTRUCTIONINSTRUCTOR = {0}))", PersonCode);
+                    strSQL.AppendFormat(" WHERE (A1.SALESPERSONCODE = {0}", PersonCode);
+                    strSQL.AppendFormat(" OR A1.CONSTRUCTIONPERSONCODE = {0}", PersonCode);
+                    strSQL.AppendFormat(" OR A1.CONSTRSUBPERSONCODE = {0}", PersonCode);
+                    strSQL.AppendFormat(" OR A1.CONSTRUCTIONINSTRUCTOR = {0}))", PersonCode);
+
                     strSQL.Append(" GROUP BY CONSTRUCTIONCODE, DATATYPE, DATE_FORMAT(ACTIONDATE,'%Y/%m')");
                     strSQL.Append(" ORDER BY CONSTRUCTIONCODE, DATATYPE");
                     ArrayList arList = new ArrayList();
@@ -174,6 +183,117 @@
         }
         #endregion
 
+        #region 対象月の工事詳細台帳実行データを作成する（交通費・購入品等のみ）
+        /// <summary>
+        /// 対象月の工事詳細台帳実行データを作成する（交通費・購入品等のみ）
+        /// </summary>
+        /// <param name="PersonCode">担当者コード</param>
+        /// <param name="TargetMonth">対象年月</param>
+        /// <returns></returns>
+        public static bool MakeLedgerData(IOCostDataOfPerson CostDB
+                                            ,IOConstructionLedger LedgerDB
+                                            ,IOConstructionLedgerDetail LedgerDetailDB
+                                            ,IOConstructionLedgerExcute LedgerExcuteDB
+                                            ,int PersonCode
+                                            , string TargetMonth)
+        {
+            try
+            {
+                List<int> ConstrCodeList = new List<int>();
+
+                // 対象をまず削除する(対象月で削除する)
+                StringBuilder strDelSQL = new StringBuilder();
+                strDelSQL.Append("DELETE FROM CONSTRUCTIONLEDGEREXCUTE");
+                strDelSQL.Append(" WHERE CONSTRUCTIONCODE IN");
+                strDelSQL.Append(" (SELECT A1.CONSTRUCTIONCODE FROM CONSTRUCTIONBASEINFO A1");
+                strDelSQL.AppendFormat(" WHERE (A1.SALESPERSONCODE = {0}", PersonCode);
+                strDelSQL.AppendFormat(" OR A1.CONSTRUCTIONPERSONCODE = {0}", PersonCode);
+                strDelSQL.AppendFormat(" OR A1.CONSTRSUBPERSONCODE = {0}", PersonCode);
+                strDelSQL.AppendFormat(" OR A1.CONSTRUCTIONINSTRUCTOR = {0}))", PersonCode);
+                strDelSQL.AppendFormat(" AND GROUPCOUNT IN ({0}, {1}, {2}, {3}, {4}, {5})"
+                                                                , GetConstructionLedgerGroupNo((int)CostDataOfPerson.DataNoDef.Transport)
+                                                                , GetConstructionLedgerGroupNo((int)CostDataOfPerson.DataNoDef.Purchase)
+                                                                , GetConstructionLedgerGroupNo((int)CostDataOfPerson.DataNoDef.Lease)
+                                                                , GetConstructionLedgerGroupNo((int)CostDataOfPerson.DataNoDef.StoragePlace)
+                                                                , GetConstructionLedgerGroupNo((int)CostDataOfPerson.DataNoDef.Lodging)
+                                                                , GetConstructionLedgerGroupNo((int)CostDataOfPerson.DataNoDef.DisposalCost));
+                strDelSQL.AppendFormat(" AND DATE(TARGETMONTH) = '{0}'", (TargetMonth + "/01"));
+                LedgerExcuteDB.ExecuteNonQuery(strDelSQL.ToString(), false);
+
+                for (int i = (int)CostDataOfPerson.DataNoDef.Transport; i <= (int)CostDataOfPerson.DataNoDef.DisposalCost; i++)
+                {
+                    StringBuilder strSQL = new StringBuilder();
+                    strSQL.Append("SELECT CONSTRUCTIONCODE, DATATYPE, DATE_FORMAT(ACTIONDATE,'%Y/%m'), SUM(ENTRYPRICE) FROM COSTDATAOFPERSON");
+                    strSQL.AppendFormat(" WHERE DATE_FORMAT(ACTIONDATE,'%Y/%m') = '{0}'", TargetMonth);
+                    strSQL.AppendFormat(" AND DATATYPE = {0}", i);
+
+                    strSQL.Append(" AND CONSTRUCTIONCODE IN (SELECT A1.CONSTRUCTIONCODE FROM CONSTRUCTIONBASEINFO A1");
+                    strSQL.AppendFormat(" WHERE (A1.SALESPERSONCODE = {0}", PersonCode);
+                    strSQL.AppendFormat(" OR A1.CONSTRUCTIONPERSONCODE = {0}", PersonCode);
+                    strSQL.AppendFormat(" OR A1.CONSTRSUBPERSONCODE = {0}", PersonCode);
+                    strSQL.AppendFormat(" OR A1.CONSTRUCTIONINSTRUCTOR = {0}))", PersonCode);
+
+                    strSQL.Append(" GROUP BY CONSTRUCTIONCODE, DATATYPE, DATE_FORMAT(ACTIONDATE,'%Y/%m')");
+                    strSQL.Append(" ORDER BY CONSTRUCTIONCODE, DATATYPE");
+                    ArrayList arList = new ArrayList();
+                    if (!CostDB.ExecuteReader(strSQL.ToString(), ref arList, false)) continue;
+                    if (arList.Count == 0) continue;
+
+                    foreach (object[] wrkrec in arList)
+                    {
+
+                        // 支払金額
+                        int PaymentPrice = CommonMotions.cnvInt(wrkrec[3]);
+                        // 支払金額無は処理しない
+                        if (PaymentPrice == 0) continue;
+
+                        // 工事番号
+                        int ConstructionCode = CommonMotions.cnvInt(wrkrec[0]);
+                        // 工事番号退避
+                        ConstrCodeList.Add(ConstructionCode);
+
+                        // グループ番号
+                        int DataType = i;
+                        int GroupNo = GetConstructionLedgerGroupNo(DataType);
+
+                        // 工事詳細台帳よりデータの行・列を取得する
+                        int LineCnt = 0;
+                        int ColCnt = 0;
+                        // 台帳が無ければ処理しない
+                        if (!SearchTatgetConstructionLedger(LedgerDB, LedgerDetailDB, ConstructionCode, GroupNo, TargetMonth, ref  LineCnt, ref ColCnt)) continue;
+
+                        ConstructionLedgerExcute excRec = new ConstructionLedgerExcute();
+                        // データ編集
+                        excRec.ConstructionCode = ConstructionCode;
+                        excRec.GroupCount = GroupNo;
+                        excRec.LineCount = LineCnt;
+                        excRec.ColumnCount = ColCnt;
+                        excRec.PaymentAmount = PaymentPrice;
+                        excRec.TargetMonth = CommonMotions.cnvDate(TargetMonth + "/01");
+
+                        if (!LedgerExcuteDB.InsertAction(excRec, false))
+                        {
+                            return false;
+                        }
+                    }
+                }
+
+                // 工事詳細台帳の更新
+                if (!LedgerRecalculate(LedgerExcuteDB, ConstrCodeList))
+                {
+                    return false;
+                }
+
+                return true;
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+        }
+        #endregion
+
         #region 工事詳細台帳再計算処理（総支払額・粗利・給与・純利益が対象）
         /// <summary>
         /// 工事詳細台帳再計算処理（総支払額・粗利・給与・純利益が対象）
@@ -1213,13 +1333,12 @@
                     strSQL.Clear();
                     strSQL.Append(DetailDB.CreatePrimarykeyString(ExcuteRec.ConstructionCode, ExcuteRec.GroupCount));
 
-                    // データがない場合は新規行番号を取得する
-                    ExcuteRec.LineCount = DetailDB.SelectMaxLineCount(strSQL.ToString(), false) + 1;
-                    DetailRec.LineCount = ExcuteRec.LineCount;
 
                     // 明細データも実行データも存在しない
                     if (ExecList.Count < 1)
                     {
+                        // データがない場合は新規行番号を取得する
+                        ExcuteRec.LineCount = DetailDB.SelectMaxLineCount(strSQL.ToString(), false) + 1;
                         // データがない場合は新規明細番号を取得する
                         DetailRec.DetailCount = DetailDB.SelectMaxDetailCount(strSQL.ToString(), false) + 1;
 
@@ -1229,6 +1348,7 @@
                             return false;
                         }
                     }
+                    DetailRec.LineCount = ExcuteRec.LineCount;
 
                     // 実行データ新規作成
                     if (!ExecDB.InsertAction(ExcuteRec, false))
@@ -1256,6 +1376,92 @@
             }
         }
         #endregion
+
+        #region 工事詳細台帳支払いデータ削除（手間・業者支払用）
+        /// <summary>
+        /// 工事詳細台帳支払いデータ削除（手間・業者支払用）
+        /// </summary>
+        /// <param name="EntryList"></param>
+        /// <returns></returns>
+        public static bool RemoveExecuteData(IOConstructionLedgerDetail DetailDB
+                                            , IOConstructionLedgerExcute ExecDB
+                                            , ConstructionLedgerDetail DetailRec
+                                            , ConstructionLedgerExcute ExcuteRec)
+        {
+            try
+            {
+                // 工事番号が0の場合は処理しない
+                if (ExcuteRec.ConstructionCode == 0) return false;
+                // グループ番号が0の場合は処理しない
+                if (ExcuteRec.GroupCount == 0) return false;
+
+                // SQL作成
+                StringBuilder strSQL = new StringBuilder();
+                strSQL.Append("Select");
+                strSQL.Append(" A.ConstructionCode");
+                strSQL.Append(", A.GroupCount");
+                strSQL.Append(", A.LineCount");
+                strSQL.Append(", B.ColumnCount");
+                strSQL.Append(", B.TargetMonth");
+                strSQL.Append(" From");
+                strSQL.Append(" constructionledgerdetail AS A");
+                strSQL.Append(" Left Join constructionledgerexcute AS B");
+                strSQL.Append("    On B.ConstructionCode = A.ConstructionCode");
+                strSQL.Append("    And B.GroupCount = A.GroupCount");
+                strSQL.Append("    And B.LineCount = A.LineCount");
+                strSQL.AppendFormat("    And B.ColumnCount = {0}", ExcuteRec.ColumnCount);
+
+                strSQL.AppendFormat(" Where A.ConstructionCode = {0}", ExcuteRec.ConstructionCode);
+                strSQL.AppendFormat(" And A.GroupCount = {0}", ExcuteRec.GroupCount);
+                strSQL.AppendFormat(" And A.DetailCount = {0}", DetailRec.DetailCount);
+
+                ArrayList ExecList = new ArrayList();
+                if (!ExecDB.ExecuteReader(strSQL.ToString(), ref ExecList, false)) return false;
+
+                object[] objRec = (object[])ExecList[0];
+                // 明細データが存在しない場合
+                if (ExecList.Count < 0) return true;
+
+                ExcuteRec.LineCount = CommonMotions.cnvInt(objRec[2]);
+                DetailRec.LineCount = ExcuteRec.LineCount;
+                if (CommonMotions.cnvInt(objRec[3]) == 0)
+                {
+                    // 実行データが存在しない場合
+                    return true;
+                }
+
+                // データ存在時は支払金額更新
+                if (!ExecDB.UpdateFeild(ExcuteRec.ConstructionCode,
+                                    ExcuteRec.GroupCount,
+                                    ExcuteRec.LineCount,
+                                    ExcuteRec.ColumnCount,
+                                    (int)IOConstructionLedgerExcute.TableColumn.PaymentAmount,
+                                    0,
+                                    false))
+                {
+                    return false;
+                }
+
+
+                List<int> ConstrCodeList = new List<int>();
+                // 更新対象リストへ追加
+                ConstrCodeList.Add(ExcuteRec.ConstructionCode);
+
+                // 台帳再計算
+                if (!LedgerRecalculate(ExecDB, ConstrCodeList))
+                {
+                    return false;
+                }
+
+                return true;
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+        }
+        #endregion
         // ↑↑ ** ----- インターフェース ----- **
     }
 }
Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOBillingDataDetail.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOBillingDataDetail.cs	(revision 312)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOBillingDataDetail.cs	(revision 313)
@@ -361,7 +361,7 @@
         /// <param name="SeqNo"></param>
         /// <param name="LineCount"></param>
         /// <returns></returns>
-        public string CreatePrimarykeyString(int CompanyCode, int TargetDate,int SeqNo, int LineCount)
+        public string CreatePrimarykeyString(int CompanyCode, int TargetDate,int SeqNo, int LineCount = -1)
         {
             StringBuilder strWork = new StringBuilder();
             try
@@ -369,7 +369,7 @@
                 strWork.AppendFormat(" Where CompanyCode = {0}", CompanyCode);
                 strWork.AppendFormat(" And TargetDate = {0}", TargetDate);
                 strWork.AppendFormat(" And SeqNo = {0}", SeqNo);
-                strWork.AppendFormat(" And LineCount = {0}", LineCount);
+                if (LineCount > 0) strWork.AppendFormat(" And LineCount = {0}", LineCount);
 
             }
             catch (Exception ex)
Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ConstructionBaseInfo/FrmConstructionBaseInfo.designer.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ConstructionBaseInfo/FrmConstructionBaseInfo.designer.cs	(revision 312)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ConstructionBaseInfo/FrmConstructionBaseInfo.designer.cs	(revision 313)
@@ -2738,7 +2738,7 @@
             // 
             this.label118.BackColor = System.Drawing.Color.White;
             this.label118.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
-            this.label118.Font = new System.Drawing.Font("ＭＳ 明朝", 14.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.label118.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
             this.label118.Location = new System.Drawing.Point(128, 641);
             this.label118.Name = "label118";
             this.label118.Size = new System.Drawing.Size(120, 26);
